
set pdbName "aa.pdb"

# load a pdb file into VMD
mol load pdb $pdbName

#open the Torcon window
set mainWid_windows(.torconWid) 1

# determine its molecule number
set mol -1
foreach m [molinfo list] {
    if { [molinfo $m get name] == $pdbName } {
	set mol $m
    }
}

#open the dihedral restraint GUI
torconWid_molSet mol $mol $pdbName
set torconWid_conFilename aa-torsion.noe


.torconWid.conFilename.load invoke

# test that the rmsd is correct
if { [expr abs([torcon calc]-0.0573264)] < 0.001 } {
    puts "ok"
} else {
    puts "FAILED"
}
